Subject: [David Walker: Re: Next MPI meeting]

From: L J Clarke <[email-masked]>
Date: Fri, 11 Jun 93 17:10:13 BST

David asked me to bounce this on to mpi-context.

---- Start of forwarded text ----
> From [email-masked] Fri Jun 11 15:02:31 1993
> Received: from rios2.epm.ornl.gov by epcc.ed.ac.uk; Fri, 11 Jun 93 15:02:23 BST
> Received: by rios2.epm.ornl.gov (AIX 3.2/UCB 5.64/4.03)
>           id AA16959; Fri, 11 Jun 1993 10:02:20 -0400
> Date: Fri, 11 Jun 1993 10:02:20 -0400
> From: [email-masked] (David Walker)
> Message-Id: <[email-masked]>
> To: [email-masked]
> Subject: Re: Next MPI meeting
> Status: RO
> 
> 
> >     [stuff deleted]
> >>  
> >>    Well if we're not requiring synchronization (which would amount to
> >>    another sort of ready mode related to communicators) this discussion
> >>    is academic (so I'll continue). 
> >
> >:-)
> >
> >>    It seems to me that if one subgroup
> >>    is running on a very faster bunch of processors and the other isn't 
> >>    then the fast group could whip through its mpi_make_comma and
> >>    mpi_isendc and get a message to the other group before that group
> >>    could complete its mpi_make_comma
> >
> >So why is this a problem? The message can just wait in a queue until the
> >slow group makes it communicator and does its receive. 
> 
>    Yes, this is what would be done. But the discussion, as I recall it, in
>    Dallas was about whether a process should stick messages for 
>    communicators its never heard of into a system buffer or not. I can't
>    recall the pros and cons, but if this was deemed to be OK, then its
>    OK with me.
> 
> Best Wishes,
> David
> 
---- End of forwarded text ----
         /--------------------------------------------------------\
    e||) | Lyndon J Clarke    Edinburgh Parallel Computing Centre | e||) 
    c||c | Tel: 031 650 5021  Email: [email-masked]  | c||c 
         \--------------------------------------------------------/